# KYC requirements for all countries

We support the on-boarding of cardholders from multiple countries, below is the list of all the countries we support and what the identity object during cardholder registration should look like, but countries that are not listed should use the rest of the world payload below.

### **Angola**

```
"identity": {
	"id_type": "Angola_NATIONAL_ID",
	"id_no": "",
	"id_image": "",
	"selfie_image": "",
	"back_id_image": "" //not required for passports
}
```

### **Ghana**

```
"identity": {    
    "id_type": "GHANIAN_SSNIT" or "GHANIAN_VOTERS_ID" or "GHANIAN_DRIVERS_LICENSE" or "GHANIAN_INTERNATIONAL_PASSPORT" or "GHANIAN_GHANA_CARD", 
    "id_no": "32747711121",
    "id_image": "https://image.com",
    "selfie_image": "https://image.com"
 }
```

### **Kenya**

```
"identity": {
	"id_type": "KENYAN_NATIONAL_ID" or "KENYAN_ALIEN_CARD" or "KENYAN_PASSPORT" or "KENYAN_REFUGEE_ID" or "KENYAN_DRIVERS_LICENSE",
	"id_no": "",
	"id_image": "",
	"selfie_image": "",
	"back_id_image": "" //not required for passports
}
```

### **Nigeria**

<pre><code>"identity": {
    "id_type": "NIGERIAN_BVN_VERIFICATION",
    "bvn": "22222222222222",
    "selfie_image": "https://image.com"
}

"identity": {
    "id_type": "NIGERIAN_NIN" or “NIGERIAN_DRIVERS_LICENSE",
    “id_image”: "",
    "bvn": "22222222222222",
<strong>    “back_id_image”: “” // not required for passport 
</strong>    "selfie_image": "https://image.com"
    "id_no": "32747711121"
}


PASSPORT VERIFICATION FOR BUSINESS ACCOUNTS

"identity": {    
    "id_type": "NIGERIAN_INTERNATIONAL_PASSPORT",
    "id_no": "32747711121",
    "id_image": "https://id_image",
    "selfie_image": "https://image.com",
    "bvn": "2222222222222"
 }
</code></pre>

### **South Africa**

```
"identity": {
	"id_type": "SOUTHAFRICAN_NATIONAL_ID" or "SOUTHAFRICAN_PASSPORT" or "SOUTHAFRICAN_GREEN_BOOK" or "SOUTHAFRICAN_RESIDENT_CARD" or "SOUTHAFRICAN_DRIVERS_LICENSE",
	"id_no": "",
	"id_image": "",
	"selfie_image": "",
	"back_id_image": "" //not required for passports
}
```

### Uganda

```
"identity": {
	"id_type": "UGANDA_VOTERS_ID" or "UGANDA_PASSPORT" or "UGANDA_NATIONAL_ID" or "UGANDA_DRIVERS_LICENSE",
	"id_no": "",
	"id_image": "",
	"selfie_image": "",
	"back_id_image": "" //not required for passports
}
```

### Zambia

```
"identity": {
	"id_type": "ZAMBIA_INTERNATIONAL_PASSPORT" or "ZAMBIA_DRIVERS_LICENSE" or "ZAMBIA_RESIDENCE_CARD",
	"id_no": ",
	"id_image": "",
	"selfie_image": "",
	"back_id_image": "" //not required for passports
}
```

### Zimbabwe

```
"identity": {
	"id_type": "ZIMBABWE_DRIVERS_LICENSE" or "ZIMBABWE_PASSPORT" or "ZIMBABWE_NATIONAL_ID" or "ZIMBABWE_RESIDENT_CARD" or "ZIMBABWE_VOTER_ID",
	"id_no": "",
	"id_image": "",
	"selfie_image": "",
	"back_id_image": "" //not required for passports
}
```

### Rest of the World

```
--data-raw '{
	"first_name": "John",
        "last_name": "Doe",
"address": {
        "address": <USER_ADDRESS>,
        "city": <USER_CITY>,
        "state": <USER_STATE> || <USER_PROVINCE>,
        "country": <USER_COUNTRY>,
        "postal_code": "",
        "house_no": "",
        "phone": "",
        "email_address": ""
         },
  "identity": {
    "id_type": "REST_OF_THE_WORLD_INTERNATIONAL_PASSPORT" or "REST_OF_THE_WORLD_DRIVERS_LICENSE" or "REST_OF_THE_WORLD_NATIONAL_ID",
    "id_no": ",
    "id_image": "<ID_LINK> || <BASE64>",
    "selfie_image": "<SELFIE_LINK> || <BASE64>",
    "back_id_image": "<BACK_ID_IMAGE_LINK> || <BASE64" 
         }
          "meta_data":{"any_key": "any_value"}
          }'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bridgecard.co/reference/api-reference/kyc-requirements-for-all-countries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
